UncompressedFileType Class Reference
Inheritance diagram for UncompressedFileType:
[legend]
Collaboration diagram for UncompressedFileType:
[legend]

## Public Member Functions

| UncompressedFileType (const char *filename, const char *mode)
bool | operator== (void *rhs)
bool | operator!= (void *rhs)
int | close ()
void | rewind ()
int | eof ()
virtual bool | isOpen ()
unsigned int | write (const void *buffer, unsigned int size)
int | read (void *buffer, unsigned int size)
virtual int64_t | tell ()
virtual bool | seek (int64_t offset, int origin)
Public Member Functions inherited from FileType
void | setBuffered (bool buffered)
virtual bool | attemptRecoverySync (bool(*checkSignature)(void *data), int length)

## Protected Attributes

FILE * | filePtr
knetFile * | kfilePtr
bool | keof
Protected Attributes inherited from FileType
bool | myUsingBuffer

## Detailed Description

Definition at line 26 of file UncompressedFileType.h.

The documentation for this class was generated from the following files:

- general/UncompressedFileType.h
- general/UncompressedFileType.cpp